# Change Log

All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for commit guidelines.

# [1.0.0-0](https://github.com/zillow/react-slider/compare/v0.11.2...v1.0.0-0) (2019-09-27)


### Bug Fixes

* `onAfterChange` was not being fired ([f8697c7](https://github.com/zillow/react-slider/commit/f8697c7)), closes [#3](https://github.com/zillow/react-slider/issues/3)
* add IE11 arrow key support ([f6b9b1f](https://github.com/zillow/react-slider/commit/f6b9b1f))
* aria keyboard support corrected so that left and down decreases and right and up increases ([4e21bab](https://github.com/zillow/react-slider/commit/4e21bab)), closes [#144](https://github.com/zillow/react-slider/issues/144)
* do nothing when right clicking on the slider ([85c55c9](https://github.com/zillow/react-slider/commit/85c55c9))
* Home and End keys no longer scroll the page when setting the value ([9830bc9](https://github.com/zillow/react-slider/commit/9830bc9))
* remove active state on thumb on blur ([8818d3b](https://github.com/zillow/react-slider/commit/8818d3b))
* the active thumb should get focus when a value is selected ([66d2533](https://github.com/zillow/react-slider/commit/66d2533))


### Code Refactoring

* remove support for custom thumbs via `children` ([99b0c1a](https://github.com/zillow/react-slider/commit/99b0c1a))


### Features

* "handle" and "bar" are now "thumb" and "track" to follow `input[type=range]` nomenclature ([87b1b4b](https://github.com/zillow/react-slider/commit/87b1b4b))
* `ariaValuetext` now supports a function for dynamic value text ([f465ac6](https://github.com/zillow/react-slider/commit/f465ac6))
* `renderThumb` now renders the entire thumb node rather than just the thumb content ([324dfba](https://github.com/zillow/react-slider/commit/324dfba))
* `withTracks` is now true by default ([51ab37e](https://github.com/zillow/react-slider/commit/51ab37e))
* add `renderBar` render prop for customizing bar content ([25925b6](https://github.com/zillow/react-slider/commit/25925b6))
* add `renderHandle` render prop for dynamic handle content ([5ec7350](https://github.com/zillow/react-slider/commit/5ec7350))
* add `valueNow` to state objects of `ariaValuetext` and `renderThumb` for easier access to the current value ([48b1662](https://github.com/zillow/react-slider/commit/48b1662))
* add aria-orientation to slider ([6c8ef00](https://github.com/zillow/react-slider/commit/6c8ef00))
* add support for Page Up and Page Down keys ([d8b881d](https://github.com/zillow/react-slider/commit/d8b881d))
* pass `value` state to render props ([0a81b50](https://github.com/zillow/react-slider/commit/0a81b50))
* remove dependency on create-react-class ([494f21e](https://github.com/zillow/react-slider/commit/494f21e))
* the paging value is now configurable via the `pageFn` prop ([cf34e34](https://github.com/zillow/react-slider/commit/cf34e34))


### BREAKING CHANGES

* The render props `renderThumb` and `renderTrack` are now passed two arguments
instead of one, `props` and `state`. This makes it easier to just spread props when using
a render function.
* `renderThumb` was previously given the indexed handle value
which now needs to be derived from `value` and `index.
* custom thumbs via `children` is no longer supported.
To customize thumbs, use the `renderThumb` render prop instead.
* `withTracks` is more commonly true than false,
so we are making that the default
* "handle" and "bar" props have been renamed to "thumb" and "track",
e.g. `withBars` is now `withTracks`, and `handleClassName` is now `thumbClassName`
